# pydicom.datadict.tag_for_keyword

pydicom.datadict.tag_for_keyword(keyword: str) → Optional[int]

  Return the tag of the element corresponding to keyword.

  Only performs the lookup for official DICOM elements.

  Parameters

    keyword (str) – The keyword for the element whose tag is being retrieved.

  Returns

    If the element is in the DICOM data dictionary then returns the corresponding element’s tag, otherwise returns `None`.

  Return type

    int or None